Bug 827149 - pyanaconda/storage/devicetree.py: "PART_TABLE_TYPE" should be "ID_PART_TABLE_TYPE"
pyanaconda/storage/devicetree.py: "PART_TABLE_TYPE" should be "ID_PART_TABLE_...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 14:07 EDT by Alex Kanavin
Modified: 2013-01-10 01:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-04 19:12:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Kanavin 2012-05-31 14:07:37 EDT
I believe the following patch has incorrect key:

http://git.fedorahosted.org/git/?p=anaconda.git;a=commitdiff;h=ed4b5aa228dcbcd747edaff89da6fa93d985365c

"PART_TABLE_TYPE" should be "ID_PART_TABLE_TYPE"
Comment 1 Jesse Keating 2012-05-31 14:12:52 EDT
Do you have documentation somewhere to support that?  (I don't doubt you, but it'd be nice to link to the documentation in any further edits of that code)
Comment 2 Alex Kanavin 2012-05-31 14:24:19 EDT
I only have a quick answer right now: run for example 

$ udevadm info --query=all --name=/dev/sda

I didn't do extensive research; just trying to figure out why F17 preupgrade fails with a disk that contains guid partition table :)
Comment 3 David Lehman 2012-10-04 19:12:50 EDT
This was fixed before the Fedora 18 Alpha.

Note You need to log in before you can comment on or make changes to this bug.